program Graph_17b;
//////////////////////////////////////////////////////////////
//   ,    

{$APPTYPE CONSOLE}

uses
  SysUtils,
  Graph in '..\Common\Graph.pas',
  GrChars in '..\Common\GrChars.pas',
  Items in '..\Common\Items.pas',
  Root in '..\Common\Root.pas',
  SetList in '..\Common\SetList.pas',
  SetUtils in '..\Common\SetUtils.pas',
  Assembly in '..\Common\Assembly.pas';

(**********************************************************
KRISTOFIDES Page 44
0 - (0), (1)
0 -  
0 -   ()
8 -  
A B C D E F G H
A -> B F H
B -> A C F
C -> B D E
D -> C E G
E -> C D F
F -> A B E G H
G -> D F
H -> A F
***********************************************************)

var Gr: TGraphChars;
    Gr2: TGraph;
    N : TNode;
    G : TSet;
    S : string;

begin
  try
  repeat
    Gr:= TGraphChars.Load('Page35.txt');
//    Gr:= TGraphChars.GenRandom(true, 1, 1, 20, 40);
//Assign(Output,'Page35strong.txt'); Rewrite(Output);

    Gr2:= Gr.CopyGr(true);  // 
    Gr2.Expo;
    Writeln('- - - - - - - - - - - - - - - - - -');
    N:= Gr.GetNode('A');

    G:= Gr.GenStrongAreas;
    Writeln('All Areas:');
    G.Expo;
    G.Clear;
    G.Free;


    Gr2:= Gr.GenCondens;
    Gr2.Expo;
    Gr2.Free;

//Close(Output);
    Gr.Free;
    Readln(S);
  until S<>'';
  except
    on E:Exception do
      Writeln(E.Classname, ': ', E.Message);
  end;
end.
