program Graph_17a;
//////////////////////////////////////////////////////////////
//     
//   

{$APPTYPE CONSOLE}

uses
  SysUtils,
  Graph in '..\Common\Graph.pas',
  GrChars in '..\Common\GrChars.pas',
  Items in '..\Common\Items.pas',
  Root in '..\Common\Root.pas',
  SetList in '..\Common\SetList.pas';

var Gr : TGraphChars;
    Condens: TGraph;  // -
    N: integer;
    Areas: TSet;
    S: string;


begin
  try
  repeat
    Gr:= TGraphChars.GenRandom(true, 1, 1, 20, 40);
    Gr.Expo;
    Writeln('- - - - - - - - - - - - - - - - - -');

    N:= Gr.CalcAreas;
    Writeln('Areas count= ', N);
    Writeln('- - - - - - - - - - - - - - - - - -');

    Areas:= Gr.GenAreas;
    if Assigned(Areas) then begin
      Areas.Expo;
      Areas.ClrAndDestroy;
      Areas.Free;
    end;

    Condens:= Gr.GenCondens;
    Condens.Expo;
    Condens.Free;
    Writeln('- - - - - - - - - - - - - - - - - -');

    Gr.Free;
    Readln(S);
  until S<>'';
  except
    on E:Exception do
      Writeln(E.Classname, ': ', E.Message);
  end;
end.
